Developers
V1SocialProfilesId

Read an accessible social profile

Approved profiles are accessible through discovery, public visibility, follows, an owner's pending club request, or a fellow member's active directory consent. Request and club access do not grant private follower counts or connection lists. Your own profile remains accessible while awaiting review.

GET
/v1/social/profiles/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/social/profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "profile": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "alias": "string",    "handle": "string",    "visibility": "private",    "followerCount": 0,    "followingCount": 0,    "following": "none",    "followedBy": true,    "muted": true,    "canViewConnections": false  }}